package com.ether;

/**
 * @author vmipsl
 * @date 02 feb 2011 
 */
@SuppressWarnings("serial")
public class WebException 
	extends FormattedException
{
    public WebException(final Enum<? extends Code> code, final Throwable cause, final Object... parameters) {
	this(code, cause.getMessage(), cause, parameters);
    }

    protected WebException(final Enum<? extends Code> code, final String message, final Throwable cause, final Object... parameters) {
	super(prefix(code, message), cause, parameters);
    }

    public static enum WebCode implements Code 
    {
	UNKNOWN, 
	PERSISTENCE, 
	SERVICE_PROBLEM, 
    }
}
